
<template>
    <body class="bg-white text-body font-body" style="overflow: visible;overflow-x: hidden;" v-cloak>
        <div class="main">
            <!--Header-->
            <!-- {{ $t('welcome') }} -->
            <Nav/>
            <section class="relative -mt-24 pt-24" style="border-bottom:1px solid #ccc;background-image: url('assets/imgs/illustrations/pattern.jpg');" >
                <div class="hidden lg:block absolute inset-0 w-1/2 ml-auto  z-0" style="z-index: -1;background:#f4f4f4;"></div>
                <div class="container">
                    <div class="flex flex-wrap items-center -mx-3">
                        <div class="w-full lg:w-1/2 px-3">
                            <div class="py-12">
                                <div class="max-w-lg lg:max-w-md mx-auto lg:mx-0 mb-8 text-center lg:text-left">
                                    <h2 class="text-3xl lg:text-4xl mb-4 font-bold font-heading">{{ $t('header_section_1') }},</br>{{ $t('header_section_1_2') }}</h2>
                                    <p class="text-blueGray-400 leading-relaxed " style="border: 1px solid #ccc;padding: 15px;background: #3c3c3c;">
                                        {{ $t('content_section_1') }}
                                    </p>
                  
                                </div>
                                <div class="text-center lg:text-left">
                                    <a style="background:black;" class="tracking-wide hover-up-2 block sm:inline-block py-4 px-8 mb-4 sm:mb-0 sm:mr-3 text-xs text-white text-center font-semibold leading-none  rounded " href="#key-features">{{ $t('contact') }}</a>
                                    <a class="block hover-up-2 sm:inline-block py-4 px-8 text-xs text-blueGray-500 hover:text-blueGray-600 text-center font-semibold leading-none bg-white border border-blueGray-200 hover:border-blueGray-300 rounded " data-wow-delay=".3s" href="#how-we-work">{{ $t('blog') }}</a>
                                </div>
                            </div>
                        </div>
                        <div class="w-full lg:w-1/2 px-3 lg:bg-blueGray-10 mb-12 lg:mb-0 pb-10">
                            <div class="flex items-center justify-center">
                                <img class="lg:max-w-lg" src="assets/imgs/illustrations/eating.png" alt="" />
                            </div>
                        </div>
                    </div>
                </div>
            </section>
            <section class="relative pt-10 hidden md:block" style="background-image: url('assets/imgs/illustrations/bg4.webp');" >
                <div class="container">
                     <img src="assets/imgs/illustrations/machine.png" alt="" />
                </div>
            </section>
            <section class="pt-16 pb-20" id="key-features">
                <div class="container">
                    <div class="flex flex-wrap items-center mb-12">
                        <div class="w-full lg:w-1/2 mb-6 lg:mb-0">
                            <h2 class="text-4xl font-bold font-heading  text-white" style="border: 1px solid #ccc;padding: 15px;background: #3c3c3c;">
                                <span>{{ $t('header_section_2_1') }}</span><br>
                                <span class="text-white">{{ $t('header_section_2_2') }}</span><br>
                                <span>{{ $t('header_section_2_3') }}<br> {{ $t('header_section_2_4') }}
                                </span>
                            </h2>
                        </div>
                        <div class="w-full lg:w-1/2">
                            <p class="lg:pl-16 text-blueGray-400 " >{{ $t('content_section_2') }}</p>
                        </div>
                    </div>
                    <div class="flex flex-wrap -mx-3 -mb-6">
                        <div class="w-full md:w-1/2 lg:w-1/4 px-3 mb-6">
                            <div class="border border-black pt-8 px-6 pb-6 bg-white text-center rounded shadow hover:shadow-lg hover-up-2 transition duration-500 " data-wow-delay=".3s">
                                <!-- <div class="text-blue-500 mx-auto mb-4">
                                    <img class="lg:max-h-lg" src="assets/imgs/illustrations/consult.png"  alt="" />
                                </div> -->
                                <h3 class="mb-2 font-bold font-heading">IT Consultancy</h3>
                                <p class="text-sm text-blueGray-400">{{ $t('content_section_2_1') }}</p>
                            </div>
                        </div>
                        <div class="w-full md:w-1/2 lg:w-1/4 px-3 mb-6">
                            <div class="border border-black pt-8 px-6 pb-6 bg-white text-center rounded shadow hover:shadow-lg hover-up-2 transition duration-500 " data-wow-delay=".5s">
                                <!-- <div class="text-blue-500 mx-auto mb-4">
                                    <img class="lg:max-h-lg" src="assets/imgs/illustrations/web.png"  alt="" />
                                </div> -->
                                <h3 class="mb-2 font-bold font-heading">Web Development</h3>
                                <p class="text-sm text-blueGray-400">{{ $t('content_section_2_2') }}</p>
                            </div>
                        </div>
                        <div class="w-full md:w-1/2 lg:w-1/4 px-3 mb-6">
                            <div class="border border-black pt-8 px-6 pb-6 bg-white text-center rounded shadow hover:shadow-lg hover-up-2 transition duration-500 " data-wow-delay=".7s">
                                <!-- <div class="text-blue-500 mx-auto mb-4">
                                     <img class="lg:max-h-lg" src="assets/imgs/illustrations/app.png"  alt="" />
                                </div> -->
                                <h3 class="mb-2 font-bold font-heading">App Development</h3>
                                <p class="text-sm text-blueGray-400">{{ $t('content_section_2_3') }}</p>
                            </div>
                        </div>
                        <div class="w-full md:w-1/2 lg:w-1/4 px-3 mb-6">
                            <div class="border border-black pt-8 px-6 pb-6 bg-white text-center rounded shadow hover:shadow-lg hover-up-2 transition duration-500 " data-wow-delay=".9s">
                                <!-- <div class="text-blue-500 mx-auto mb-4">
                                     <img class="lg:max-h-lg" src="assets/imgs/illustrations/marketing.png"  alt="" />
                                </div> -->
                                <h3 class="mb-2 font-bold font-heading">Digital Marketing</h3>
                                <p class="text-sm text-blueGray-400">{{ $t('content_section_2_4') }}</p>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
            <section class="relative -mt-24 pt-24" >
                <div class="container">
                     <img src="assets/imgs/illustrations/business.png" alt="" style="width:100%"/>
                </div>
            </section>
            <section class="py-20" id="how-we-work">
                <div class="container">
                    <div class="flex flex-wrap -mx-8">
                        <div class="w-full lg:w-1/2 px-8">
                            <div class="mb-12 lg:mb-0 pb-12 lg:pb-0  lg:border-b-0">
                                <h2 style="border: 1px solid #ccc;padding: 15px;background: #3c3c3c;" class="mb-4 text-3xl lg:text-4xl text-white font-bold font-heading max-w-md " data-wow-delay=".1s">{{ $t('content_section_3') }}</h2>
                                <p class="mb-8  text-blueGray-400 " data-wow-delay=".3s">{{ $t('content_section_3_0') }}</p>
                                 <img class="lg:max-w-lg" src="assets/imgs/illustrations/data.svg" alt="" />
                            </div>
                        </div>
                        <div class="w-full lg:w-1/2 px-8" style="border:1px solid;padding:15px;">
                            <ul class="space-y-12">
                                <li class="flex -mx-4 " data-wow-delay=".3s">
                                    <div class="px-4" >
                                        <span style="background:black;" class="flex w-16 h-16 mx-auto items-center justify-center text-2xl font-bold font-heading rounded-full  text-white">1</span>
                                    </div>
                                    <div class="px-4">
                                        <h3 class="my-4 text-xl font-semibold">Send your requirements</h3>
                                        <p class="text-blueGray-400">{{ $t('content_section_3_1') }}</p>
                                    </div>
                                </li>
                                <li class="flex -mx-4 " data-wow-delay=".5s">
                                    <div class="px-4">
                                        <span style="background:black;" class="flex w-16 h-16 mx-auto items-center justify-center text-2xl font-bold font-heading rounded-full  text-white">2</span>
                                    </div>
                                    <div class="px-4">
                                        <h3 class="my-4 text-xl font-semibold">Software appraisal</h3>
                                        <p class="text-blueGray-400">{{ $t('content_section_3_2') }}</p>
                                    </div>
                                </li>
                                <li class="flex -mx-4 " data-wow-delay=".7s">
                                    <div class="px-4">
                                        <span style="background:black;" class="flex w-16 h-16 mx-auto items-center justify-center text-2xl font-bold font-heading rounded-full  text-white">3</span>
                                    </div>
                                    <div class="px-4">
                                        <h3 class="my-4 text-xl font-semibold">Development Software</h3>
                                        <p class="text-blueGray-400">{{ $t('content_section_3_3') }}</p>
                                    </div>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </section>
            <section class="relative  pt-10" style="border:1px solid #ccc;background-image: url('assets/imgs/illustrations/bg4.webp');" >
           
                <div class="container">
                    <div class="flex flex-wrap items-center -mx-3">
                        <div class="w-full lg:w-1/2 ">
                            <div class="flex items-center justify-center">
                                <img class="lg:max-w-lg" src="assets/imgs/illustrations/sub_farm.png" style="margin-top:-30px" alt="" />
                            </div>
                        </div>
                        <div class="w-full lg:w-1/2 px-3  mb-12 lg:mb-0 pb-10">
                            <div class="py-12">
                                 <div class="max-w-lg lg:max-w-md mx-auto lg:mx-0 mb-8 text-center lg:text-left">
                                    <h2 class="text-3xl lg:text-4xl mb-4 font-bold font-heading ">{{ $t('content_section_4_1') }}<br />{{ $t('content_section_4_2') }}</h2>
                                    <div class="text-blueGray-400 leading-relaxed wow animate__animated animate__fadeIn" style="border: 1px solid #ccc;padding: 15px;background: #3c3c3c;">
                                        {{ $t('content_section_4_3') }}
                                        <div class="mt-4">
                                            <a href="https://www.facebook.com/hello.dee.farm" class="inline-block px-2 border" target="_blank" style="z:index:1000">
                                                <img src="assets/imgs/icons/facebook-blue.svg" alt="" />
                                            </a>
                                            <a href="https://twitter.com/hellodeefarm" class="inline-block px-2 border" target="_blank" style="z:index:1000">
                                                <img src="assets/imgs/icons/twitter-blue.svg" alt="" />
                                            </a>
                                        </div>
                                    </div>
                                  
                                </div>
                               
                            </div>
                            
                        </div>
                       
                    </div>
                </div>
                 <!-- <div class="hidden lg:block absolute inset-0 w-1/2 ml-auto  z-0" ></div> -->
            </section>
            <!-- <section class="py-12 md:py-20">
                <div class="container">
                    <div class="flex flex-wrap -mx-3">
                        <div class="relative w-full lg:w-1/3 mb-8 lg:mb-0 text-center lg:text-left">
                            <div class="max-w-md lg:max-w-xs lg:pr-16 mx-auto lg:ml-0 mb-6 lg:mb-0">
                                <h2 class="text-3xl md:text-4xl mb-4 font-bold font-heading  animated" data-wow-delay=".3s">Simple Solution for <span class="text-blue-500">Complex</span> Connections</h2>
                                <p class="text-xs md:text-base text-blueGray-400 leading-loose " data-wow-delay=".9s">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed luctus eget justo et iaculis.</p>
                            </div>
                            <div class="lg:absolute lg:bottom-0 lg:left-0 flex justify-center " data-wow-delay=".5s">
                                <div id="carausel-fade-1-arrows" class="flex"></div>
                            </div>
                        </div>
                        <div class="w-full lg:w-2/3 flex flex-wrap px-3 " data-wow-delay=".5s">
                            <div class="relative w-full rounded">
                                <div class="carausel-fade slick-carausel rounded" id="carausel-fade-1">
                                    <img class="rounded" src="assets/imgs/placeholders/img-6.png" alt="" />
                                    <img class="rounded" src="assets/imgs/placeholders/img-7.png" alt="" />
                                    <img class="rounded" src="assets/imgs/placeholders/img-8.png" alt="" />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section> -->
            <!-- <section class="py-20 xl:bg-contain bg-top bg-no-repeat" style="background:rgba(241, 245, 249, var(--tw-bg-opacity)) !important;">
                <div class="container">
                    <div class="text-center mb-8">
                        <h2 class="max-w-lg mx-auto mb-4 text-4xl font-bold font-heading  animated">
                            <span>Choose Your </span>
                            <br />
                            <span class="text-blue-600">Best</span>
                            <span>Pricing Plan</span>
                        </h2>
                        <p class="max-w-sm mx-auto text-lg text-blueGray-400  animated" data-wow-delay=".3s">Great Things In Business Are Never Done By One Person</p>
                    </div>
                    <div class="flex flex-wrap sm:justify-center mb-10">
                        <label class="flex items-center mr-8 mb-2  animated" data-wow-delay=".3s">
                          
                            <span class="mx-2 font-semibold">Monthly Billing</span>
                            <span class="inline-flex items-center justify-center w-12 h-10 bg-blue-500 text-white font-semibold rounded">$59</span> 
                        </label>
                        <label class="flex items-center mb-2  animated" data-wow-delay=".5s">
                           
                            <span class="mx-2 font-semibold">Annual Billing</span>
                            <span class="inline-flex items-center justify-center w-12 h-10 bg-blue-500 text-white font-semibold rounded">$99</span> 
                        </label>
                    </div>
                    <div class="flex flex-wrap bg-white rounded shadow  animated">
                        <div class="w-full md:w-1/2 lg:w-2/5 px-3">
                            <div class="p-8 text-center">
                                <span class="text-blueGray-400">Sign In</span>
                                <h4 class="mb-6 text-2xl">Setup your payment</h4>
                                <div class="flex mb-4 px-4 bg-blueGray-100 rounded">
                                    <input class="w-full py-4 text-xs placeholder-blueGray-400 font-semibold leading-none bg-blueGray-100 outline-none" type="email" placeholder="name@email.com" />
                                    <svg class="h-6 w-6 ml-4 my-auto text-blueGray-300" xmlns="http://www.w3.org/2000/svg" fill="none" viewbox="0 0 24 24" stroke="currentColor">
                                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M16 12a4 4 0 10-8 0 4 4 0 008 0zm0 0v1.5a2.5 2.5 0 005 0V12a9 9 0 10-9 9m4.5-1.206a8.959 8.959 0 01-4.5 1.207"></path>
                                    </svg>
                                </div>
                                <div class="flex mb-6 px-4 bg-blueGray-100 rounded">
                                    <input class="w-full py-4 text-xs placeholder-blueGray-400 font-semibold leading-none bg-blueGray-100 outline-none" type="password" placeholder="Enter your password" />
                                    <button class="ml-4">
                                        <svg class="h-6 w-6 my-auto text-blueGray-300" xmlns="http://www.w3.org/2000/svg" fill="none" viewbox="0 0 24 24" stroke="currentColor">
                                            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M15 12a3 3 0 11-6 0 3 3 0 016 0z"></path>
                                            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M2.458 12C3.732 7.943 7.523 5 12 5c4.478 0 8.268 2.943 9.542 7-1.274 4.057-5.064 7-9.542 7-4.477 0-8.268-2.943-9.542-7z"></path>
                                        </svg>
                                    </button>
                                </div>
                                <div class="text-left mb-5 text-sm text-blueGray-400">
                                    <label>
                                        <input type="checkbox" name="terms" value="1" />
                                        <span class="ml-1">I agree to terms and conditions.</span>
                                    </label>
                                </div>
                                <button class="block w-full p-4 text-center text-xs text-white font-semibold leading-none bg-blue-400 hover:bg-blue-500 rounded">Purchase now</button>
                            </div>
                        </div>
                        <div class="relative w-full md:w-1/2 lg:w-3/5 px-3  rounded-r overflow-hidden" style="background:rgb(228 240 254)">
                           <div class="absolute right-0 bottom-0" style="z-index:1">
                                <div class="flex items-center h-full">
                                    <img class="h-80" src="assets/imgs/illustrations/work.svg" alt="" />
                                </div>
                            </div>
                           
                          
                        </div>
                    </div>
                </div>
            </section> -->
            <Contactform />
            <Footer/>
        </div>
        <!-- End .main -->

       <!-- <Loader/> -->
    </body>
</template>

<script>
export default {
 
  name: 'IndexPage',
  methods: {
        init: function () {

            //   $(window).on('load', function () {
            //     //   console.log("ok");
            //       $('.preloader').delay(300).fadeOut('slow');
            //       $('body').delay(450).css({
            //           'overflow': 'visible'
            //       });
            //   });

              var header = $('.sticky-bar');
              var win = $(window);
              win.on('scroll', function () {
                  var scroll = win.scrollTop();
                  if (scroll < 20) {
                      header.removeClass('stick');
                  } else {
                      header.addClass('stick');
                  }
              });

              /*Carausel 2 columns*/
              $(".carausel-2-columns").each(function (key, item) {
                  var id = $(this).attr("id");
                  var sliderID = '#' + id;
                  var appendArrowsClassName = '#' + id + '-arrows'

                  $(sliderID).slick({
                      dots: false,
                      infinite: true,
                      speed: 1000,
                      arrows: true,
                      autoplay: true,
                      slidesToShow: 2,
                      slidesToScroll: 1,
                      loop: true,
                      adaptiveHeight: true,
                      responsive: [
                          {
                              breakpoint: 1025,
                              settings: {
                                  slidesToShow: 2,
                                  slidesToScroll: 2,
                              }
                          },
                          {
                              breakpoint: 480,
                              settings: {
                                  slidesToShow: 1,
                                  slidesToScroll: 1
                              }
                          }
                      ],
                      prevArrow: '<span class="mr-4 text-blue-500 flex"><svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M7 16l-4-4m0 0l4-4m-4 4h18"></path></svg></span>',
                      nextArrow: '<span class="text-blue-500  flex"><svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M17 8l4 4m0 0l-4 4m4-4H3"></path></svg></span>',
                      appendArrows: (appendArrowsClassName),
                  });
              });

              /*Carausel Fade*/
              $('.carausel-fade').each(function (key, item) {
                  var id = $(this).attr("id");
                  var sliderID = '#' + id;
                  var appendArrowsClassName = '#' + id + '-arrows'

                  $(sliderID).slick({
                      slidesToShow: 1,
                      slidesToScroll: 1,
                      fade: true,
                      loop: true,
                      dots: false,
                      arrows: true,
                      prevArrow: '<span class="mr-4 text-blue-500 flex"><svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M7 16l-4-4m0 0l4-4m-4 4h18"></path></svg></span>',
                      nextArrow: '<span class="text-blue-500  flex"><svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M17 8l4 4m0 0l-4 4m4-4H3"></path></svg></span>',
                      appendArrows: (appendArrowsClassName),
                      autoplay: true,
                  });
              });

              /*Carausel Fade has Dots*/
              $('.carausel-fade-2').each(function (key, item) {
                  var id = $(this).attr("id");
                  var sliderID = '#' + id;
                  var appendArrowsClassName = '#' + id + '-arrows'

                  $(sliderID).slick({
                      slidesToShow: 1,
                      slidesToScroll: 1,
                      fade: true,
                      loop: true,
                      dots: true,
                      arrows: false,
                      autoplay: true,
                  });
              });



              /*---------------------
                  Mobile menu active
              ------------------------ */
              var $offCanvasNav = $('.mobile-menu'),
                  $offCanvasNavSubMenu = $offCanvasNav.find('.dropdown');

              /*Add Toggle Button With Off Canvas Sub Menu*/
              $offCanvasNavSubMenu.parent().prepend('<span class="menu-expand">+</span>');

              /*Close Off Canvas Sub Menu*/
              $offCanvasNavSubMenu.slideUp();

              /*Category Sub Menu Toggle*/
              $offCanvasNav.on('click', 'li a, li .menu-expand', function (e) {
                  var $this = $(this);
                  if (($this.parent().attr('class').match(/\b(menu-item-has-children|has-children|has-sub-menu)\b/)) && ($this.attr('href') === '#' || $this.hasClass('menu-expand'))) {
                      e.preventDefault();
                      if ($this.siblings('ul:visible').length) {
                          $this.parent('li').removeClass('active');
                          $this.siblings('ul').slideUp();
                      } else {
                          $this.parent('li').addClass('active');
                          $this.closest('li').siblings('li').removeClass('active').find('li').removeClass('active');
                          $this.closest('li').siblings('li').find('ul:visible').slideUp();
                          $this.siblings('ul').slideDown();
                      }
                  }
              });

              /*------ ScrollUp -------- */
              $.scrollUp({
                  scrollText: '<svg class="w-4 h-4" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5 10l7-7m0 0l7 7m-7-7v18"></path></svg>',
                  easingType: 'linear',
                  scrollSpeed: 900,
                  animation: 'fade'
              });

              /*------ Wow Active ----*/
              new WOW().init();

              /*---- CounterUp ----*/
              $('.count').counterUp({
                  delay: 10,
                  time: 2000
              });

     
         
           
        }
  },
  head () {
    const i18nHead = this.$nuxtI18nHead({ addSeoAttributes: true })
    return {
      htmlAttrs: {
        myAttribute: 'th',
        ...i18nHead.htmlAttrs
      },
      title : this.$i18n.t("title") ,
      meta: [
          { hid: 'description',name: 'description', content: this.$i18n.t("desscription")},
          { hid: 'og:title', property: 'og:title', content: this.$i18n.t("title") },
          { hid: 'og:image', property: 'og:image', content:  "https://dee.farm/assets/imgs/logos/dlogo.png" },
          { hid: 'og:image:type', property: 'og:image:type', content:  "image/png" },
          { hid: 'og:image:width', property: 'og:image:width', content:  "1200" },
          { hid: 'og:image:height', property: 'og:image:height', content:  "630" },
          { hid: 'og:type', property: 'og:type', content: "website" },
          { hid: 'og:description', property: 'og:description', content:  this.$i18n.t("desscription")},
          { hid: 'og:url', property: 'og:url', content: "dee.farm" },


          { hid: 'twitter:card', name: 'twitter:card', content: this.$i18n.t("desscription") },
          { hid: 'twitter:site', name: 'twitter:site', content: "dee.farm"},
          { hid: 'twitter:title', name: 'twitter:title', content: this.$i18n.t("title") },
          { hid: 'twitter:description', name: 'twitter:description', content:  this.$i18n.t("desscription") },
          { hid: 'twitter:image', name: 'twitter:image', content:   "https://dee.farm/assets/imgs/logos/dlogo.png"  },


         ...i18nHead.meta
      ],
    }
  },
  mounted() {
        
      
        this.init();
        console.log(this.$i18n.t("title"));
  },

}
</script>


<!-- <meta property="og:url" content="https://getbootstrap.com/">
<meta property="og:title" content="Bootstrap">
<meta property="og:description" content="The most popular HTML, CSS, and JS library in the world.">
<meta property="og:type" content="website">
<meta property="og:image" content="https://getbootstrap.com/docs/5.2/assets/brand/bootstrap-social.png">
<meta property="og:image:type" content="image/png">
<meta property="og:image:width" content="1000">
<meta property="og:image:height" content="500"> * -->

